<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pizza 365 - 1.9 </title>
     <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
</head>
<body onload="onPageLoading()">
    <div class="container-fluid mt-5 pt-2">
        <nav class="navbar navbar-expand-lg navbar-light bg-warning fixed-top">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
              <div class="navbar-nav nav-fill w-100">
                <a class="nav-item nav-link active" href="#">Trang chủ <span class="sr-only">(current)</span></a>
                <a class="nav-item nav-link active" href="#">Combo</a>
                <a class="nav-item nav-link active" href="#">Loại pizza</a>
                <a class="nav-item nav-link active" href="#">Gửi đơn hàng</a>
              </div>
            </div>
          </nav>
    </div>
    <div class="container form-group">
        <div class="text-warning">
            <div>
                <h2>PIZZA 365</h2>
            </div>
            <div>
                <p><i>Truly italian!</i></p>
            </div>
        </div>
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-100" src="images/1.jpg" alt="First slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/2.jpg" alt="Second slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/3.jpg" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/4.jpg" alt="Fourth slide">
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
        </div>
    </div>
    <div class="container form-group">
        <div class="d-flex justify-content-center text-center">
            <div class="h3 pb-2 mb-4 text-warning border-bottom border-warning w-50">
                Tại sao lại Pizza 365
            </div>
        </div>
        <div class="row">
            <div class="col-sm-3 border border-warning" style="background-color: lightgoldenrodyellow;">
                <div class="m-4">
                    <h4>Đa dạng</h4>
                </div>
                <div class="m-4">
                    <p>Số lượng pizza đa dạng, có đầy đủ các loại pizza đang hot nhất hiện nay.</p>
                </div>
            </div>
            <div class="col-sm-3 border border-warning" style="background-color: yellow;">
                <div class="m-4">
                    <h4>Chất lượng</h4>
                </div>
                <div class="m-4">
                    <p>Nguyên liệu sạch 100% rõ nguồn gốc, quy trình chế biên đảm bảo vệ sinh an toàn thực phẩm.</p>
                </div>
            </div>
            <div class="col-sm-3 border border-warning" style="background-color: lightsalmon;">
                <div class="m-4">
                    <h4>Hương vị</h4>
                </div>
                <div class="m-4">
                    <p>Đảm bảo hương vị ngon, độc lạ mà bạn chỉ có thể trải nghiệm tại Pizza 365</p>
                </div>
            </div>
            <div class="col-sm-3 border border-warning" style="background-color: orange;">
                <div class="m-4">
                    <h4>Dịch vụ</h4>
                </div>
                <div class="m-4">
                    <p>Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh chất lượng, tân tiến</p>
                </div>
            </div>
        </div>
    </div>
    <div class="container form-group">
        <div class="d-flex justify-content-center text-center">
            <div class="h3 pb-2 mb-4 text-warning border-bottom border-warning w-50">
                Chọn size pizza
            </div>
        </div>
        <div class="text-warning text-center">
            <p>Chọn loại pizza phù hợp với nhu cầu của bạn</p>
        </div>
        <div class="card-deck">
            <div class="card text-center">
                <h5 class="card-header bg-warning">S (Small)</h5>
                <div class="card-body">
                    <p class="card-text">Đường kinh: <b>20cm</b></p>
                    <hr>
                    <p class="card-text">Sườn nướng: <b>2</b></p>
                    <hr>
                    <p class="card-text">Salad: <b>200g</b></p>
                    <hr>
                    <p class="card-text">Nước ngọt: <b>2</b></p>
                    <hr>
                    <h1 class="card-text text-center">150.000</h1>
                    <p class="card-text">VNĐ</p>
                </div>
                <div class="card-footer">
                    <button id="btn-small-menu" class="btn btn-warning w-100">Chọn</button>
                </div>
            </div>
            <div class="card text-center">
                <h5 class="card-header bg-warning">M (Medium)</h5>
                <div class="card-body">
                    <p class="card-text">Đường kính: <b>25cm</b></p>
                    <hr>
                    <p class="card-text">Sườn nướng: <b>4</b></p>
                    <hr>
                    <p class="card-text">Salad: <b>300g</b></p>
                    <hr>
                    <p class="card-text">Nước ngọt: <b>3</b></p>
                    <hr>
                    <h1 class="card-text text-center">200.000</h1>
                    <p class="card-text">VNĐ</p>
                </div>
                <div class="card-footer">
                    <button id="btn-medium-menu" class="btn btn-warning w-100">Chọn</button>
                </div>
            </div>
            <div class="card text-center">
                <h5 class="card-header bg-warning">L (Large)</h5>
                <div class="card-body">
                    <p class="card-text">Đường kính: <b>30cm</b></p>
                    <hr>
                    <p class="card-text">Sườn nướng: <b>8</b></p>
                    <hr>
                    <p class="card-text">Salad: <b>500g</b></p>
                    <hr>
                    <p class="card-text">Nước ngọt: <b>4</b></p>
                    <hr>
                    <h1 class="card-text text-center">250.000</h1>
                    <p class="card-text">VNĐ</p>
                </div>
                <div class="card-footer">
                    <button id="btn-large-menu" class="btn btn-warning w-100">Chọn</button>
                </div>
            </div>
        </div>
    </div>
    <div class="container form-group">
        <div class="d-flex justify-content-center text-center">
            <div class="h3 pb-2 mb-4 text-warning border-bottom border-warning w-50">
                Chọn loại pizza
            </div>
        </div>
        <div class="card-deck">
            <div class="card">
                <img class="card-img-top" src="images/seafood.jpg" alt="seafood">
                <div class="card-body">
                    <h5 class="card-title">OCEAN MANIA</h5>
                    <p class="card-text">PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                    <p class="card-text">Xốt cà chua, Phô mai Mozzarella, Tôm, Mực, Thanh cua, Hành tây</p>
                    <button id="btn-seafood-pizza" class="btn btn-warning w-100">Chọn</button>
                </div>
            </div>
            <div class="card">
                <img class="card-img-top" src="images/hawaiian.jpg" alt="seafood">
                <div class="card-body">
                    <h5 class="card-title">HAWAIIAN</h5>
                    <p class="card-text">PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                    <p class="card-text">Xốt cà chua, Phô mai Mozzarella, Thịt dăm, Bông, Thơm</p>
                    <button id="btn-hawaii-pizza" class="btn btn-warning w-100">Chọn</button>
                </div>
            </div>
            <div class="card">
                <img class="card-img-top" src="images/bacon.jpg" alt="seafood">
                <div class="card-body">
                    <h5 class="card-title">CHESSY CHICKEN BACON</h5>
                    <p class="card-text">PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                    <p class="card-text">Xốt cà chua, Thịt gà, Thịt heo muối, Phô mai Mozzarella, Cà chua</p>
                    <button id="btn-bacon-pizza" class="btn btn-warning w-100">Chọn</button>
                </div>
            </div>
        </div>
    </div>
    <div class="container form-group">
        <div class="d-flex justify-content-center text-center">
            <div class="h3 pb-2 mb-4 text-warning border-bottom border-warning w-50">
                Chọn đồ uống
            </div>
        </div>
        <div>
            <select class="form-control" name="select-drink" id="select-drink">
                <option value="none">=== Chọn đồ uống ===</option>
            </select>
        </div>
    </div>
    <div class="container form-group">
        <div class="d-flex justify-content-center text-center">
            <div class="h3 pb-2 mb-4 text-warning border-bottom border-warning w-50">
                Gửi đơn hàng
            </div>
        </div>
        <div class="">
            <label class="form-group" for="">Tên</label>
            <input class="form-group form-control" type="text" name="ho-ten" id="inp-ho-ten" placeholder="Nhập tên">
            <label class="form-group" for="">Email</label>
            <input class="form-group form-control" type="text" name="email" id="inp-email" placeholder="Nhập email">
            <label class="form-group" for="">Số điện thoại</label>
            <input class="form-group form-control" type="text" name="dien-thoai" id="inp-dien-thoai" placeholder="Nhập số điện thoại">
            <label class="form-group" for="">Địa chỉ</label>
            <input class="form-group form-control" type="text" name="dia-chi" id="inp-dia-chi" placeholder="Nhập địa chỉ">
            <label class="form-group" for="">Mã giảm giá</label>
            <input class="form-group form-control" type="text" name="loi-nhan" id="inp-ma-giam-gia" placeholder="Nhập mã giảm giá">
            <label class="form-group" for="">Lời nhắn</label>
            <input class="form-group form-control" type="text" name="" id="inp-loi-nhan" placeholder="Nhập lời nhắn">
            <button id="btn-send-order" class="btn btn-warning w-100">Gửi</button>
        </div>
    </div>
    <div class="container-fluid bg-warning" style="height: 200px;">
        <div class="text-center form-group">
            <h2>Footer</h2>
            <button class="btn btn-secondary"><i class="fas fa-arrow-up"></i> To the top</button>
        </div>
        <div class="form-group d-flex justify-content-center">
            <i class="fab fa-facebook-square fa-2xl m-2"></i>
            <i class="fab fa-instagram fa-2xl m-2"></i>
            <i class="fab fa-pinterest-square fa-2xl m-2"></i>
            <i class="fab fa-twitter fa-2xl m-2"></i>
            <i class="fab fa-linkedin-in fa-2xl m-2"></i>
        </div>
        <div class="text-center form-group">
            <p>Powered by DEVCAMP</p>
        </div>
    </div>
    <!-- Modal Order -->
    <div id="order-modal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Thông tin đơn hàng</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <label class="form-group" for="">Họ và tên</label>
                    <input class="form-group form-control" type="text" name="ho-ten" id="inp-ho-ten-modal" disabled="disabled">
                    <label class="form-group" for="">Số điện thoại</label>
                    <input class="form-group form-control" type="text" name="dien-thoai" id="inp-dien-thoai-modal" disabled="disabled">
                    <label class="form-group" for="">Địa chỉ</label>
                    <input class="form-group form-control" type="text" name="dia-chi" id="inp-dia-chi-modal" disabled="disabled">
                    <label class="form-group" for="">Lời nhắn</label>
                    <input class="form-group form-control" type="text" name="loi-nhan" id="inp-loi-nhan-modal" disabled="disabled">
                    <label class="form-group" for="">Mã giảm giá</label>
                    <input class="form-group form-control" type="text" name="loi-nhan" id="inp-voucher-modal" disabled="disabled">
                    <label class="form-group" for="">Thông tin chi tiết</label>
                    <textarea class="form-control" name="order-detail" id="txtarea-order-detail-modal" cols="30" rows="5" disabled="disabled"></textarea>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Quay lại</button>
                    <button id="btn-create-order" type="button" class="btn btn-warning">Tạo đơn</button>
                </div>
            </div>
        </div>
    </div>
      <!-- Created Order -->
    <div id="created-order-modal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content  bg-warning">
                <div class="modal-header">
                    <h5 class="modal-title">Cảm ơn bạn đã đăt đặt hàng tại Pizza365.</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-4">
                            <label class="form-group" for="">Mã đơn hàng của bạn là:</label>
                        </div>
                        <div class="col-sm-8">
                            <input class="form-group form-control" type="text" name="order-id" id="inp-order-id-modal" disabled="disabled">
                        </div>
                    </div>
                </div>
          </div>
        </div>
    </div>
</body>
<script>
    "use strict";
    const gBASE_URL_API = "http://localhost:8000/devcamp-pizza365"
    var gSelectedMenu = "";
    var gSelectedPizzaType = "";
    var gSelectedDrink = "";
    var gDiscount = "";
    $("#btn-small-menu").on("click", function (){ //Nút samll menu
        onBtnSmallMenuClick();
    });
    $("#btn-medium-menu").on("click", function (){ //Nút medium menu
        onBtnMediumMenuClick();
    });
    $("#btn-large-menu").on("click", function (){ //Nút large menu
        onBtnLargeMenuClick();
    });
    $("#btn-seafood-pizza").on("click", function (){ //Nút pizza hải sản
        onBtnSeafoodPizzaClick();
    });
    $("#btn-hawaii-pizza").on("click", function (){ //Nút pizza hawaii
        onBtnHawaiiPizzaClick();
    });
    $("#btn-bacon-pizza").on("click", function (){ //Nút pizza thịt xông khói
        onBtnBaconPizzaClick();
    });
    $("#btn-send-order").on("click", function (){ //Nút gửi đơn hàng
        onBtnSendOrderClick();
    });
    $("#btn-create-order").on("click", function (){ //Nút tạo order
        onBtnCreateOrderClick();
    });
    //Hàm tải trang
    function onPageLoading(){
        "use strict";
        loadDrinkToSelect();
    }
    //Hàm xử lý nút send order
    function onBtnSendOrderClick(){
        "use strict";
        var vOrderObj = {
            menu: "",
            loaiPizza: "",
            drink: "",
            hoTen: "",
            email: "",
            soDienThoai: "",
            diaChi: "",
            voucher: "",
            loiNhan: "",
        }
        getInfoOrder(vOrderObj);
        console.log(vOrderObj);
        var vCheck = validateOrder(vOrderObj);
        console.log(vCheck);
        if (vCheck == true){
            if (vOrderObj.voucher == ""){
               gDiscount = 0;
            } else {
                discountByVoucherId(vOrderObj.voucher);
            }
            $("#order-modal").modal("show");
            loadOrderDetailToModal(vOrderObj);
        }
    }
    //Hàm xử lý nút tạo order
    function onBtnCreateOrderClick(){
        "use strict";
        var vObjectRequest = {
            pizzaSize: "",
            duongKinh: "",
            suon: "",
            salad: "",
            pizzaType: "",
            voucher: "",
            maNuocUong: "",
            soLuongNuoc: "",
            fullName: "",
            thanhTien: "",
            email: "",
            phone: "",
            address: "",
            loiNhan: ""
        }
        getInfoCreateOrder(vObjectRequest);
        console.log(vObjectRequest);
        callAjaxCreateOrder(vObjectRequest);
    }
    //Hàm xử lý nút chọn Pizza Hải sản
    function onBtnSeafoodPizzaClick(){
        "use strict";
        gSelectedPizzaType = getSelectedTypePizza("Hải sản");
        gSelectedPizzaType.displayTypePizzaToConsole();
        changeColorButtonTypePizza("Hải sản");
    }
    //Hàm xử lý nút chọn Pizza Hawai
    function onBtnHawaiiPizzaClick(){
        "use strict";
        gSelectedPizzaType = getSelectedTypePizza("Hawai");
        gSelectedPizzaType.displayTypePizzaToConsole();
        changeColorButtonTypePizza("Hawai");
    }
     //Hàm xử lý nút chọn Pizza Bacon
     function onBtnBaconPizzaClick(){
        "use strict";
        gSelectedPizzaType = getSelectedTypePizza("Thịt xông khói");
        gSelectedPizzaType.displayTypePizzaToConsole();
        changeColorButtonTypePizza("Thịt xông khói");
    }
    //Hàm xử lý nút chọn small menu
    function onBtnSmallMenuClick(){
        "use strict";
        gSelectedMenu = getSelectedMenu("S", "20cm", "2", "200g", "2", 150000);
        gSelectedMenu.displayMenuToConsole();
        changeColorButtonMenu("S");
    }
    //Hàm xử lý nút chọn medium menu
    function onBtnMediumMenuClick(){
        "use strict";
        gSelectedMenu = getSelectedMenu("M", "25cm", "4", "300g", "3", 200000);
        gSelectedMenu.displayMenuToConsole();
        changeColorButtonMenu("M");
    }
    //Hàm xử lý nút chọn large menu
    function onBtnLargeMenuClick(){
        "use strict";
        gSelectedMenu = getSelectedMenu("L", "30cm", "8", "500g", "4", 250000);
        gSelectedMenu.displayMenuToConsole();
        changeColorButtonMenu("L");
    };
    //Hàm yêu cầu tạo order
    function callAjaxCreateOrder(paramOrderRequest){
        $.ajax({
            url: gBASE_URL_API + "/orders",
            type: "POST",
            contentType: "application/json;charset=UTF-8",
            data: JSON.stringify(paramOrderRequest),
            success: function (response){
                console.log(response);
                handleShowOrderId(response);
            },
            error: function (error){
                alert("Đơn hàng được tạo không thành công");
            }
        })
    }
    //Hàm hiện thị order Id
    function handleShowOrderId(paramResponse){
        $("#order-modal").modal("hide");
        $("#created-order-modal").modal("show");
        $("#inp-order-id-modal").val(paramResponse.orderCode);
    }
    //Hàm truy xuất dữ liệu để tạo order yêu cầu từ sever
    function getInfoCreateOrder(paramCreatedOrder){
        paramCreatedOrder.pizzaSize = gSelectedMenu.kichCo;
        paramCreatedOrder.duongKinh = gSelectedMenu.duongKinh;
        paramCreatedOrder.suon = gSelectedMenu.suon;
        paramCreatedOrder.salad = gSelectedMenu.salad;
        paramCreatedOrder.pizzaType = gSelectedPizzaType.loaiPizza;
        paramCreatedOrder.voucher = $("#inp-ma-giam-gia").val();
        paramCreatedOrder.maNuocUong = $("#select-drink").val();
        paramCreatedOrder.soLuongNuoc = gSelectedMenu.soLuongNuoc;
        paramCreatedOrder.fullName = $("#inp-ho-ten").val();
        paramCreatedOrder.thanhTien = gSelectedMenu.thanhTien;
        paramCreatedOrder.email = $("#inp-email").val();
        paramCreatedOrder.phone = $("#inp-dien-thoai").val();
        paramCreatedOrder.address = $("#inp-dia-chi").val();
        paramCreatedOrder.loiNhan = $("#inp-loi-nhan").val();
    }
    //Hàm load dữ liệu lên modal
        function loadOrderDetailToModal(paramOrderObj){
        $("#inp-ho-ten-modal").val(paramOrderObj.hoTen);
        $("#inp-dien-thoai-modal").val(paramOrderObj.soDienThoai);
        $("#inp-dia-chi-modal").val(paramOrderObj.diaChi);
        $("#inp-loi-nhan-modal").val(paramOrderObj.loiNhan);
        $("#inp-voucher-modal").val(paramOrderObj.voucher);
        $("#txtarea-order-detail-modal").html(function(){
            var vHTML = "";
            vHTML += "Xác nhận: " + paramOrderObj.hoTen + "; " + paramOrderObj.soDienThoai + "; " + paramOrderObj.diaChi;
            vHTML += "\nMenu: " + paramOrderObj.menu.kichCo + "; Sườn nướng: " + paramOrderObj.menu.suon + "; Nước: " + paramOrderObj.menu.soLuongNuoc + ".... "
            vHTML += "\nLoại pizza: " + paramOrderObj.loaiPizza.loaiPizza;
            vHTML += "\nGiá: " + paramOrderObj.menu.thanhTien + " VND; Mã giảm giá: " + paramOrderObj.voucher
            vHTML += "\nPhải thanh toán: " + (paramOrderObj.menu.thanhTien*(1-gDiscount/100)) + " VNĐ (Giảm giá: " + gDiscount+"%)";
            return vHTML;
        });
    }
    //Hàm yêu cầu Discount by Voucher ID
    function discountByVoucherId(paramVoucherId){
        "use strict";
        $.ajax({
            url: gBASE_URL_API + "/vouchers/" + paramVoucherId,
            type: "GET",
            dataType: "json",
            async: false,
            success: function (response){
                console.log(response);
                gDiscount = response.phanTramGiamGia;
            },
            error: function (context){
                alert("Không tìm thấy voucher");
                gDiscount = 0;
            }
        })
    }
    //Hàm kiểm tra dữ liệu order
    function validateOrder(paramOrder){
        var vResult = true;
        const REG = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
        if (paramOrder.menu == ""){
            alert("Menu Pizza chưa được chọn");
            vResult = false;
        }
        else if (paramOrder.loaiPizza == ""){
            alert("Loại pizza chưa được chọn");
            vResult = false;
        }
        else if (paramOrder.drink == "none"){
            alert("Loại nước uống chưa được chọn");
            vResult = false;
        }
        else if (paramOrder.hoTen == ""){
            alert("Họ và tên chưa được nhập");
            vResult = false;
        }
        else if (paramOrder.email == ""){
            alert("Email chưa được nhập");
            vResult = false;
        }
        else if (REG.test(paramOrder.email) == false){
            alert("Email không đúng định dạng");
            vResult = false;
        }
        else if (paramOrder.soDienThoai == ""){
            alert("Số điện thoại chưa được nhập");
            vResult = false;
        }
        else if (isNaN(paramOrder.soDienThoai)){
            alert("Số điện thoại phải là số");
            vResult = false;
        }
        else if (paramOrder.diaChi == ""){
            alert("Địa chỉ chưa được nhập");
            vResult = false;
        }
        return vResult;
    }
    //Hàm truy xuất thông tin order
    function getInfoOrder(paramOrderObj){
        paramOrderObj.menu = gSelectedMenu;
        paramOrderObj.loaiPizza = gSelectedPizzaType;
        paramOrderObj.drink = $("#select-drink").val().trim();
        paramOrderObj.hoTen = $("#inp-ho-ten").val().trim();
        paramOrderObj.email = $("#inp-email").val().trim();
        paramOrderObj.soDienThoai = $("#inp-dien-thoai").val().trim();
        paramOrderObj.diaChi = $("#inp-dia-chi").val().trim();
        paramOrderObj.voucher = $("#inp-ma-giam-gia").val().trim();
        paramOrderObj.loiNhan = $("#inp-loi-nhan").val().trim();
    }
    //Hàm xử lý load danh sách nước uống
    function loadDrinkToSelect(){
        "use strict";
        $.ajax({
            url: gBASE_URL_API + "/drinks",
            type: "GET",
            dataType: "json",
            async: false,
            success: function(response){
                console.log(response);
                for (var bI = 0; bI < response.length; bI++){
                    $("#select-drink").append($("<option>", {
                        value: response[bI].maNuocUong,
                        text: response[bI].tenNuocUong
                    }));
                }
            },
            error: function(error){
                alert(error.responseText);
            }
        });
    };
    //Hàm thay đổi màu nút type pizza
    function changeColorButtonTypePizza(paramTypePizza){
        if (paramTypePizza == "Hải sản"){
            $("#btn-seafood-pizza").removeClass().addClass("btn btn-success w-100");
            $("#btn-hawaii-pizza").removeClass().addClass("btn btn-warning w-100");
            $("#btn-bacon-pizza").removeClass().addClass("btn btn-warning w-100");
        };
        if (paramTypePizza == "Hawai"){
            $("#btn-seafood-pizza").removeClass().addClass("btn btn-warning w-100");
            $("#btn-hawaii-pizza").removeClass().addClass("btn btn-success w-100");
            $("#btn-bacon-pizza").removeClass().addClass("btn btn-warning w-100");
        };
        if (paramTypePizza == "Thịt xông khói"){
            $("#btn-seafood-pizza").removeClass().addClass("btn btn-warning w-100");
            $("#btn-hawaii-pizza").removeClass().addClass("btn btn-warning w-100");
            $("#btn-bacon-pizza").removeClass().addClass("btn btn-success w-100");
        };

    }
    //Hàm truy xuất Type Pizza
    function getSelectedTypePizza(paramTypePizza){
        var vSelectedTypePizza = {
            loaiPizza: paramTypePizza,
            displayTypePizzaToConsole: function(){
                console.log("%cLOẠI PIZZA ĐƯỢC CHỌN: ","color: green");
                console.log(this.loaiPizza);
            }
        }
        return vSelectedTypePizza;
    }
    //Hàm thay đổi màu button
    function changeColorButtonMenu(paramMenu){
        if (paramMenu == "S"){
            $("#btn-small-menu").removeClass().addClass("btn btn-success w-100");
            $("#btn-medium-menu").removeClass().addClass("btn btn-warning w-100");
            $("#btn-large-menu").removeClass().addClass("btn btn-warning w-100");
        };
        if (paramMenu == "M"){
            $("#btn-small-menu").removeClass().addClass("btn btn-warning w-100");
            $("#btn-medium-menu").removeClass().addClass("btn btn-success w-100");
            $("#btn-large-menu").removeClass().addClass("btn btn-warning w-100");
        };
        if (paramMenu == "L"){
            $("#btn-small-menu").removeClass().addClass("btn btn-warning w-100");
            $("#btn-medium-menu").removeClass().addClass("btn btn-warning w-100");
            $("#btn-large-menu").removeClass().addClass("btn btn-success w-100");
        }
    }
    //Hầm truy xuất dữ liệu Small menu
    function getSelectedMenu(paramMenu, paramDuongKinh, paramSuon, paramSalad, paramNuocUong, paramPrice){
        "use strict";
        var vSelectedMenu = {
            kichCo: paramMenu,
            duongKinh: paramDuongKinh,
            suon: paramSuon,
            salad: paramSalad,
            soLuongNuoc: paramNuocUong,
            thanhTien: paramPrice,
            displayMenuToConsole: function (){
                console.log("%cMENU ĐÃ ĐƯỢC CHỌN: ","color: yellow")
                console.log("Menu: " + vSelectedMenu.kichCo);
                console.log("Đường kính: " + vSelectedMenu.duongKinh);
                console.log("Sườn: " + vSelectedMenu.suon);
                console.log("Salad: " + vSelectedMenu.salad);
                console.log("Số lượng nước: " + vSelectedMenu.soLuongNuoc);
                console.log("Giá: " + vSelectedMenu.thanhTien);
            }
        }
        return vSelectedMenu;
    }

</script>
</html>